Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class MethodHeaderPropertyEntryPointResolver

    java.lang.Object
      org.mule.model.resolvers.AbstractEntryPointResolver
          org.mule.model.resolvers.MethodHeaderPropertyEntryPointResolver

All Implemented Interfaces:
  EntryPointResolver

    public class MethodHeaderPropertyEntryPointResolver

extends AbstractEntryPointResolver

This resolver will look for a `MuleProperties.MULE_METHOD_PROPERTY` property on the incoming event to determine which method to invoke Users can customise the name of the property used to look up the method name on the event

Field Summary

Fields inherited from class org.mule.model.resolvers.AbstractEntryPointResolver
`logger, methodCache`

Constructor Summary
`MethodHeaderPropertyEntryPointResolver()`

Method Summary
`String` | `getMethodProperty()`
`InvocationResult` | `invoke(Object component, MuleEventContext context)`
`void` | `setMethodProperty(String methodProperty)`
`String` | `toString()`
`protected void` | `validateMethod(Object component, Method method)` This method can be used to validate that the method exists and is allowed to be executed.

Methods inherited from class org.mule.model.resolvers.AbstractEntryPointResolver
`addMethodByArguments, addMethodByName, getCacheKeyForPayload, getMethodByArguments, getMethodByName, getPayloadFromMessage, invokeMethod, isAcceptVoidMethods, isSynchronizeCall, setAcceptVoidMethods, setSynchronizeCall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodHeaderPropertyEntryPointResolver

    public MethodHeaderPropertyEntryPointResolver()

Method Detail

### getMethodProperty

    public String getMethodProperty()

### setMethodProperty

    public void setMethodProperty(String methodProperty)

### invoke

    public InvocationResult invoke(Object component,
                                   MuleEventContext context)
                            throws Exception

  Throws:
    `Exception`

### validateMethod

    protected void validateMethod(Object component,
                                  Method method)
                           throws NoSuchMethodException

  This method can be used to validate that the method exists and is allowed to be executed.

  Parameters:
    `component` - the service component being invoked
    `method` - the method to invoke on the component
  Throws:
    `NoSuchMethodException` - if the method does not exist on the component

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractEntryPointResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.